import request from '@/utils/request'

// 标书材料生成 ---- 国网模板

// 获取国网模板列表
export function getGwTemplateListAPI(data) {
    return request({
        url: '/stateGrid/getStateGridList',
        method: 'get',
        params: data,
    })
}
// 根据id获取国网模板详情
export function getGwTemplateByIdAPI(data) {
    return request({
        url: '/stateGrid/getStateGridTempById',
        method: 'post',
        data: data,
    })
}

// 新增国网模板
export function addGwTemplateAPI(data) {
    return request({
        url: '/stateGrid/addStateGridTemp',
        method: 'post',
        data: data,
    })
}

// 编辑国网模板
export function editGwTemplateAPI(data) {
    return request({
        url: '/stateGrid/updateStateGridTemp',
        method: 'post',
        data: data,
    })
}

// 删除国网模板
export function deleteGwTemplateAPI(data) {
    return request({
        url: '/stateGrid/delStateGridTemp',
        method: 'post',
        data: data,
    })
}

// 下载国网模板

export function downloadGwTemplateByIdAPI(data) {
    return request({
        url: '/stateGrid/downloadStateGridTemp',
        method: 'post',
        data: data,
    })
}
